Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Class ImporterStatusListDao

    java.lang.Object
      com.gisgraphy.domain.repository.ImporterStatusListDao

All Implemented Interfaces:
  IImporterStatusListDao

    @Repository
    public class ImporterStatusListDao

extends java.lang.Object
implements IImporterStatusListDao

A data access object for `ImporterStatus`

Author:
  David Masclet

Field Summary
`static java.lang.String` | `IMPORTER_METADATA_RELATIVE_PATH`
`static java.lang.String` | `IMPORTER_STATUS_LIST_FILENAME`

Constructor Summary
`ImporterStatusListDao()`

Method Summary
`boolean` | `delete()` Delete the saved list of `ImporterStatusDto`
`java.util.List<ImporterStatusDto>` | `get()`
`java.lang.String` | `getSavedFilePath()`
`java.util.List<ImporterStatusDto>` | `saveOrUpdate(java.util.List<ImporterStatusDto> importerStatusDtoList)`
`void` | `setImporterConfig(ImporterConfig importerConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPORTER_STATUS_LIST_FILENAME

    public static final java.lang.String IMPORTER_STATUS_LIST_FILENAME

See Also:
  Constant Field Values

### IMPORTER_METADATA_RELATIVE_PATH

    public static final java.lang.String IMPORTER_METADATA_RELATIVE_PATH

See Also:
  Constant Field Values

Constructor Detail

### ImporterStatusListDao

    public ImporterStatusListDao()

Method Detail

### getSavedFilePath

    public java.lang.String getSavedFilePath()

  Specified by:
    `getSavedFilePath` in interface `IImporterStatusListDao`
  Returns:
    the file path where data will be saved

### saveOrUpdate

    public java.util.List<ImporterStatusDto> saveOrUpdate(java.util.List<ImporterStatusDto> importerStatusDtoList)

  Specified by:
    `saveOrUpdate` in interface `IImporterStatusListDao`
  Parameters:
    `importerStatusDtoList` - the list to save or update
  Returns:
    the saved list

### get

    public java.util.List<ImporterStatusDto> get()

  Specified by:
    `get` in interface `IImporterStatusListDao`
  Returns:
    the list of `ImporterStatusDto`

### delete

    public boolean delete()

  Description copied from interface: `IImporterStatusListDao`
  Delete the saved list of `ImporterStatusDto`

  Specified by:
    `delete` in interface `IImporterStatusListDao`
  Returns:
    true if the deletion is successfull or nothing was saved (no list are still saved)

### setImporterConfig

    public void setImporterConfig(ImporterConfig importerConfig)

  Parameters:
    `importerConfig` - the importerConfig to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.